version 3.8.2 for windows 10 crashes when adding some .mp3 files to a playlist

July 03, 2017 15:18 - Anonymous

Status: Rejected Start date: July 03, 2017

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

I am an insider of Windows 10 and now using Insider Preview build 16232.   I like to use Audacious.

Today I tried to add some .mp3 files to my favorite playlist it crashed.  It's reproducible.

I want it to be fixed.

Thanks in advance.

regards,

History

#1 - July 03, 2017 18:42 - Anonymous

Especially, after adding .mp3 files and closing the file choosing box, it crashes.

Playing musics is normal.

#2 - July 05, 2017 03:55 - John Lindgren

- Priority changed from Blocker to Major

Please attach an .mp3 file that triggers the problem.  Also attach the output (stdout and stderr) of audacious -V when the crash occurs (i.e. run

audacious -V >log.txt 2>&1 and attach log.txt).

#3 - July 05, 2017 04:36 - Anonymous

- File 04_Ongaku.mp3 added

- File 2017-07-05 (4).png added

- File 2017-07-05 (3).png added

Any .mp3 can cause crash.   Problem is the close button.  I attached a .mp3 file and screenshots of just after hitting close button and debug info.

I guess the Windows 10 new build is the problem.

If you tell me how to build audacious, I'll build on my own.   I have development tools other than cygwin.

#4 - July 05, 2017 04:38 - Anonymous

oh, I forgot to mention one thing.

log.txt was empty.
#5 - July 06, 2017 03:20 - Anonymous

I tried Audacious on Windows 10 version 1703 (build 15063) on my wife's machine, it worked perfectly.  So Windows' new build is responsible for it.

Some software such as skype, FeedBack Hub doesn't work on the new build either.  So I had to uninstall them and downloaded from Store and

reinstalled them.  Then they worked properly.  Maybe they are build on the new build of Windows (now build 16232, soon update is expected).

#6 - July 06, 2017 18:56 - Thomas Lange

You could also try a different user with a clean profile. Maybe it makes a difference.

#7 - July 08, 2017 01:30 - John Lindgren

- Status changed from New to Rejected

Closing since the O.P. cannot reproduce on a different machine.

Look at audacious/win32/notes.html for build instructions.

#8 - July 08, 2017 15:56 - Anonymous

Today, Windows 10 was update to build 16237.  Then audacious problem has gone.  everything works perfectly.  Windows 10 build was responsible

for my trouble.

Sorry for your inconvenience and thank you.

regards,

Files

04_Ongaku.mp3 3.15 MB July 05, 2017 Anonymous

2017-07-05 (4).png 450 KB July 05, 2017 Anonymous

2017-07-05 (3).png 12.5 KB July 05, 2017 Anonymous
